@import '../../../../sass/variables';
@import '../../../../sass/mixins';

#new-dashboard-card {
  position: absolute;
  overflow-x: hidden;
  cursor: default;
  height: 100%;

  .card-content {
    background: $blue;
    height: $dashboardCardHeight;
    opacity: 0;
    transition: ease 0.2s 0.2s;
    transform: translateX(-300px);

    .card-icon {
      svg {
        padding: 10px;
      }
    }

    .card-info {
      #title-input .input {
        max-width: 200px;

        input {
          width: 100%;

          &:focus {
            border-color: white !important;
          }

          $placeholderColor: rgba(255, 255, 255, 0.7);
          $placeholderFocusColor: rgba(255, 255, 255, 0.4);

          &::-webkit-input-placeholder { color: $placeholderColor !important; }
          &:-moz-placeholder { color: $placeholderColor !important; }
          &:-ms-input-placeholder { color: $placeholderColor !important; }

          &:focus:-moz-placeholder { color: $placeholderFocusColor !important; }
          &:focus::-webkit-input-placeholder { color: $placeholderFocusColor !important; }
          &:focus:-ms-input-placeholder { color: $placeholderFocusColor !important; }
        }
      }

      #save-dashboard-button, .loader {
        position: absolute;
        right: 30px;
      }
    }
  }

  &.visible .card-content {
    opacity: 1;
    transform: translateX(0px);
  }

  @include fromBreakpoint(desktop) {
    #save-dashboard-button, .loader {
      top: 33px;
    }

    #title-input .input {
      width: calc(100% - #{$dashboardCardIconWidth} - 100px);

      input {
        padding: 5px 5px 5px 0;
      }
    }

    #left-arrow {
      padding: 10px 25px 10px 0;
    }

    #right-arrow {
      padding: 10px 0 10px 25px;
    }
  }

  @include untilBreakpoint(desktop) {
    #save-dashboard-button, .loader {
      top: 22px;
    }

    #title-input .input {
      width: calc(100% - #{$dashboardCardIconWidthMobile} - 100px);

      input {
        padding: 0 5px 0 0;
        font-size: 13px;
      }
    }

    #left-arrow {
      padding: 10px 10px 10px 0;
    }

    #right-arrow {
      padding: 10px 0 10px 10px;
    }
  }
}
